## imp 2.2.6-0.potato.5

=== debian/changelog ===
imp (2:2.2.6-0.potato.5) stable; urgency=high

  * Fixed postgres bug introduced by php4 security update, closes: #128110.
  * Fixed cross site scripting security bug, closes: #141941.

 -- Ola Lundqvist <opal@debian.org>  Thu, 11 Apr 2002 03:40:13 -0600

imp (2:2.2.6-0.potato.4) stable; urgency=low

  * SECURITY FIX, backport from 2.2.7, closes: #118986.

 -- Ola Lundqvist <ola.lundqvist@euronetics.se>  Mon, 12 Nov 2001 15:50:32 +0100

imp (2:2.2.6-0.potato.3) stable; urgency=low

  * Fixed popassd problem, closes: #109045, #96380.
  * Fixed pgsql (preferences) problem. Ugly php bug!
  * Fixed locale/se glitch again.
  * Have now verified that some bugs are fixed, closes: #89829, #108623,
    #105978, #99258.

 -- Ola Lundqvist <opal@debian.org>  Tue, 21 Aug 2001 09:24:25 +0200

imp (2:2.2.6-0.potato.2) stable; urgency=low

  * Applied the previous patches. The security fix was implemented a bit
    too fast.
  * Fixing more file permissions, SECURITY issues.

 -- Ola Lundqvist <opal@debian.org>  Mon,  13 Aug 2001 12:12:42 +0200

imp (2:2.2.6-0.potato.1) stable; urgency=low

  * New upstream version, SECURITY fixes, closes: #106179.

 -- Ola Lundqvist <opal@debian.org>  Fri,  3 Aug 2001 13:01:58 +0200

imp (2:2.2.3-0.potato.5) stable; urgency=low

  * Fixed writeable config files, closes: #102796.
  * New maintainer (have been for the unstable packages for quite some time).
  * Fixed se locale glitch, closes: #96396.

 -- Ola Lundqvist <opal@debian.org>  Thu,  2 Aug 2001 16:43:18 +0200

imp (2:2.2.3-0.potato.4) stable; urgency=low
 
  * Fixing problem with reloading "none" web server
    (left system hung and is thus a RC bug)

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 16 Nov 2000 14:45:00 -0700

imp (2:2.2.3-0.potato.3) stable; urgency=low
 
  * More upstream fixes
    new Catalan locale
    Bug 527: Prevent JS error using "house" INBOX icon when user folders are
      disabled (as with POP3)
    Add missing imap_utf7_encode() calls in saving and postponing messages.
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Nov 2000 22:45:00 -0700

imp (2:2.2.3-0.potato.2) stable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 15:00:00 -0700
                                                                                

imp (2:2.2.2-8) unstable; urgency=low
 
  * upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 04 Oct 2000 23:30:00 -0700
                                                                                

imp (2:2.2.2-7) unstable; urgency=low
 
  * Other minor upstream fixes
  * Re-enabling php4-mysql support
  * Fixing postinst errors

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 01 Oct 2000 22:30:00 -0700

imp (2:2.2.2-6) unstable; urgency=low
 
  * Korean language addition
  * German translation updates
  * Other minor upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 28 Sep 2000 04:45:00 -0700

imp (2:2.2.2-5) unstable; urgency=low
 
  * More upstream fixes
  * More security related cleanup for impcleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Sep 2000 16:00:00 -0700

imp (2:2.2.2-4) unstable; urgency=low
 
  * Some security related cleanup for impcleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Sep 2000 16:00:00 -0700

imp (2:2.2.2-3) unstable; urgency=low
 
  * More upstream fixes
  * Cleaning up more debconf stuff
  * more update-imp fixes
  * changing impcleanup to run as webuser
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 21 Sep 2000 02:30:00 -0700

imp (2:2.2.2-2) unstable; urgency=low
 
  * update-horde honors defaults.php3.in file once again (Closes: #71821)
  * adding in extra values into defaults.php3.in file (Closes: #71822)

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 19 Sep 2000 00:45:00 -0700

imp (2:2.2.2-1) unstable; urgency=low
 
  * Round 2 of mailfrom security fixes 
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 16:45:00 -0700

imp (2:2.2.1-1) unstable; urgency=low

  * More mailbox security updates
  * Some locales updates as well

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 10 Sep 2000 02:30:00 -0700

imp (2:2.2.1-0) unstable; urgency=low
 
  * Upstream Security release
  * Fixes problem reported on BUGTRAQ
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 09 Sep 2000 01:30:00 -0700

imp (2:2.2.0-13) unstable; urgency=low
 
  * More upstream fixes
  * More charset fixes
  * Adding in support for web group
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Sep 2000 19:30:00 -0700
                                                                                

imp (2:2.2.0-12) unstable; urgency=low

  * Fixing russian language default charset issues
  * Minor tweaks and documentation updates

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 05 Sep 2000 02:00:00 -0700

imp (2:2.2.0-11) unstable; urgency=low
 
  * 2.2.0 official release 
  * Minor tweaks and documentation updates
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 22 Aug 2000 01:45:00 -0700
                                                                                

imp (2:2.2.0-10) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Aug 2000 16:30:00 -0700
                                                                                

imp (2:2.2.0-9) unstable; urgency=low

  * Minor lynx updates/fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 12 Aug 2000 05:30:00 -0700

imp (2:2.2.0-8) unstable; urgency=low

  * Minor updates/fixes
  * Making horde a pre-depend to fix a weird config issue related to
    debconf

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 9 Aug 2000 00:30:00 -0700

imp (2:2.2.0-7) unstable; urgency=low

  * Fixes update-imp script missing language change variable (Closes: #68332)
  * Upstream fix to french translation prob (Closes: #67883) 

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 2 Aug 2000 18:00:00 -0700


