=== debian/control ===
Source: imp
Build-Depends: debhelper
Section: web
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Standards-Version: 3.1.1

Package: imp
Architecture: all
Pre-Depends: debconf (>= 0.2.78), horde (>= 2:1.2.6-0)
Depends: php3 | php4 (>= 4.0.3pl1), httpd, postgresql-client | mysql-client, php3-imap | php4-imap, php3-ldap | php4-ldap, php3-pgsql | php3-mysql | php4-mysql | php4-pgsql, grep, sed, binutils, mail-transport-agent, ${perl:Depends}
Suggests: apache, imap-server | pop3-server, libapache-mod-ssl, exim | sendmail, rpm, unzip, ispell, wv, tar, postgresql | mysql-server
Provides: imap-client
Description: Web Based IMAP Mail Program.
 A set of PHP3 scripts that implement an IMAP based webmail
 system. Assuming you have an account on a server that supports
 IMAP, you can theoretically use an installation of IMP to check your
 mail from anywhere that you have web access.
 .
 IMP does not require an IMAP server to be running on the machine you
 install it on unless you are intending to have it use the current machine
 for it's IMAP connections. (If you are connecting to a remote server
 for your mail than you don't need IMAP)
 .
 IMP requires a database to be running if you want to use the extended
 features such as the addressbook, and prefs.  It currently uses PHPLib 
 for the database interface so as long as PHPLib supports your database of
 choice your good to go.  This package is designed to support 
 PostgreSQL and MySql directly.
